#
# Conditional build:
%bcond_without	tests		# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	Geo
%define	pnam	IP-PurePerl
Summary:	Geo::IP::PurePerl - Look up country by IP Address
Summary(pl.UTF-8):	Geo::IP::PurePerl - wyszukiwanie państw po adresach IP
Name:		perl-Geo-IP-PurePerl
Version:	1.25
Release:	4
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	a47a1b71f7cd7c46cca9efcc448e0726
URL:		http://search.cpan.org/dist/Geo-IP-PurePerl/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module uses a file based database. This database simply contains
IP blocks as keys, and countries as values. This database is more
complete and accurate than reverse DNS lookups.

This module can be used to automatically select the geographically
closest mirror, to analyze your web server logs to determine the
countries of your visiters, for credit card fraud detection, and for
software export controls.

%description -l pl.UTF-8
Ten moduł używa bazy danych opartej na pliku. Baza danych zawiera po
prostu bloki IP jako klucze i państwa jako wartości. Baz danych jest
bardziej kompletna i dokładna niż wyszukiwanie odwrotnych DNS.

Moduł ten może być używany do automatycznego wyboru najbliższego
geograficznie serwera lustrzanego, analizy logów serwera WWW w celu
określenia państw odwiedzających, wykrywania oszustw związanych z
kartami kredytowymi oraz kontroli eksportu oprogramowania.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes INSTALL README
%attr(755,root,root) %{_bindir}/geoip-lookup
%dir %{perl_vendorlib}/Geo
%dir %{perl_vendorlib}/Geo/IP
%{perl_vendorlib}/Geo/IP/*.pm
%{_mandir}/man1/geoip-lookup.1p*
%{_mandir}/man3/Geo::IP::PurePerl.3pm*
%changelog
* Thu Dec 05 2019 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Geo-IP-PurePerl.git;a=log;h=master

* Thu Dec 05 2019 Jan Rękorajski <baggins@pld-linux.org> e8dbce6
- rebuild with perl 5.30.0
- release 4 (by relup.sh)

* Wed Dec 04 2019 Jan Rękorajski <baggins@pld-linux.org> ac718a8
- rebuild with perl 5.30.0
- release 3 (by relup.sh)

* Wed Dec 04 2019 Jan Rękorajski <baggins@pld-linux.org> 15f53ab
- rebuild with perl 5.30.0
- release 2 (by relup.sh)

* Wed Jan 11 2012 zbyniu <zbyniu@pld-linux.org> 0be9041
- up to 1.25

* Tue Oct 20 2009 amateja <amateja@pld-linux.org> 7c90528
- updated to 1.24

* Tue Jun 23 2009 amateja <amateja@pld-linux.org> 2d67459
- updated to 1.23

* Sun Nov 09 2008 radek <radek@pld-linux.org> 826134d
- version 1.22

* Wed Dec 19 2007 zbyniu <zbyniu@pld-linux.org> 8fa0a4a
- up to 1.18

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 0475bf2
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> f8159f1
- converted to UTF-8

* Mon Nov 06 2006 Jakub Bogusz <qboosh@pld-linux.org> abc2b98
- pl

* Wed Oct 25 2006 Elan Ruusamäe <glen@pld-linux.org> b61506b
- new

